/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
  6   ,      ,   0  5.  |
 =6    6    .                                                            |
  R G B         .                                           |
   R G B = 8,                                       |
   ,      .                                                |
              : RGB_maps  C 255 , 255 , 255   |
      C'255,255,255'   integer   Color_to_integer(r,g,b).|
    3        .                                   |
   integer   .                                                                  |
 Comment  -    (red green blue),    0  255.                  |
/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
//+------------------------------------------------------------------+
//|                                              RGB_char_to_int.mq4 |
//|                                                            Urain |
//+------------------------------------------------------------------+
#property copyright "Urain"
#property link      ""

#property indicator_separate_window
#property indicator_maximum 800.0
#property indicator_minimum -900.0

//---- input parameters
extern int _=8;//
int ;
      
extern int       =0;
extern string    i="";
extern int red    =0;
extern int green  =0;
extern int blue   =0;
string 1="   ";
string 2="     ,   ";
string 3="   .";
bool Init=0;
int rr=0,gg=0,bb=0;
int init()
{//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
 =_; 
 Comment(" int  = [",Color_to_integer(red,green,blue),"]\n   = [",(256/)*(256/)*(256/),"]");
 if(<6 && _<8) =8;
 if(>5 && _<16) =16;
 ObjectsDeleteAll(1,OBJ_ARROW);
 Init=1;
return(0);
}//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
 
int deinit(){Comment("");return(0);}

int start()
{//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+ 
 int r=0,g=0,b=0;
 if(Init)
   {  for( rr=0;rr<256;rr+=)
    { for( gg=0;gg<256;gg+=)
     {for( bb=0;bb<256;bb+=)
         {r=rr; g=gg; b=bb;
          if(Init&&(256/)*(256/)>=Bars){Comment(1,"",2,"",3);break;} 
          if(>5)         
            {( r, g, b, , 560, 1);
             ( r, b, g, , 280, 1);
             ( g, r, b, ,   0, 1);
             ( g, b, r, ,-280, 1);
             ( b, r, g, ,-560, 1);
             ( b, g, r, ,-840, 1);
            }
          else
            {switch()
               {case 0:( r, g, b, , -700, 6);break;
                case 1:( r, b, g, , -700, 6);break;
                case 2:( g, r, b, , -700, 6);break;
                case 3:( g, b, r, , -700, 6);break;
                case 4:( b, r, g, , -700, 6);break;
                case 5:( b, g, r, , -700, 6);break;            
             
                default:Print("NOT FOUND");break;
               } 
            }            
         }  
     }  
    }
   }
 Init=0;   
return(0);
}//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+

void (int r,int g,int b,int S,int vert,int mnog)
{//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
 string name="RGB_maps  C [ "+rr+" , "+gg+" , "+bb+" ]   , "+vert; 
     if(ObjectFind(name)==-1)
       {ObjectCreate(name,OBJ_ARROW,1,Time[256/S*(r/)+(g/)],b*mnog+vert);
        ObjectSet( name, OBJPROP_ARROWCODE, 110);
        ObjectSet( name, OBJPROP_COLOR    ,Color_to_integer(rr,gg,bb));
       }
return;
}//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+

int Color_to_integer(int r,int g,int b){return(r+256*g+256*256*b);}